package com.jh.radegast.api;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.LinkedHashMap;

public class RatingsStats {

	private Long ratings;
	
	private BigDecimal average;
	
	private HashMap<Long, Long> values;
	
	
	public RatingsStats() {
		this.values = new LinkedHashMap<>();
		ratings = 0L;
	}
	

	public RatingsStats(Long ratings, BigDecimal average, HashMap<Long, Long> values) {
		super();
		this.ratings = ratings;
		this.values = values;
		this.average = average;
	}


	public Long getRatings() {
		return ratings;
	}


	public void setRatings(Long ratings) {
		this.ratings = ratings;
	}


	public HashMap<Long, Long> getValues() {
		return values;
	}


	public void setValues(HashMap<Long, Long> values) {
		this.values = values;
	}


	public BigDecimal getAverage() {
		return average;
	}


	public void setAverage(BigDecimal average) {
		this.average = average;
	}

}
